Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 709852 - net-analyzer/sngrep-1.4.6-r1 USE=unicode : [TEST] FAIL: test-001
Summary: net-analyzer/sngrep-1.4.6-r1 USE=unicode : [TEST] FAIL: test-001
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Netmon Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-16 20:51 UTC by Toralf Förster
Modified: 2020-06-10 11:55 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,14.88 KB, text/plain)
2020-02-16 20:51 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,24.41 KB, text/plain)
2020-02-16 20:51 UTC, Toralf Förster
Details
environment (environment,57.36 KB, text/plain)
2020-02-16 20:51 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.89 KB, application/x-bzip)
2020-02-16 20:51 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,7.05 KB, application/x-bzip)
2020-02-16 20:51 UTC, Toralf Förster
Details
net-analyzer:sngrep-1.4.6-r1:20200216-204756.log (net-analyzer:sngrep-1.4.6-r1:20200216-204756.log,22.43 KB, text/plain)
2020-02-16 20:51 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,18.76 KB, application/x-bzip)
2020-02-16 20:51 UTC, Toralf Förster
Details
tests.tbz2 (tests.tbz2,50.34 KB, application/x-bzip)
2020-02-16 20:51 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-02-16 20:51:24 UTC
make[2]: Entering directory '/var/tmp/portage/net-analyzer/sngrep-1.4.6-r1/work/sngrep-1.4.6/tests'
make[3]: Entering directory '/var/tmp/portage/net-analyzer/sngrep-1.4.6-r1/work/sngrep-1.4.6/tests'
FAIL: test-001
FAIL: test-002
FAIL: test-003
FAIL: test-004

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-test-20200215-161616

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)






repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 16 Feb 2020 19:37:21 +0000

emerge -qpvO net-analyzer/sngrep
[ebuild  N    ] net-analyzer/sngrep-1.4.6-r1  USE="ipv6 pcre unicode -eep -gnutls -openssl"
Comment 1 Toralf Förster gentoo-dev 2020-02-16 20:51:27 UTC
Created attachment 614070 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-02-16 20:51:30 UTC
Created attachment 614072 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-02-16 20:51:33 UTC
Created attachment 614074 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-02-16 20:51:36 UTC
Created attachment 614076 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-02-16 20:51:38 UTC
Created attachment 614078 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-02-16 20:51:41 UTC
Created attachment 614080 [details]
net-analyzer:sngrep-1.4.6-r1:20200216-204756.log
Comment 7 Toralf Förster gentoo-dev 2020-02-16 20:51:44 UTC
Created attachment 614082 [details]
temp.tbz2
Comment 8 Toralf Förster gentoo-dev 2020-02-16 20:51:47 UTC
Created attachment 614084 [details]
tests.tbz2
Comment 9 Larry the Git Cow gentoo-dev 2020-06-10 10:44:28 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b5b5bd16b586c269969862ada5a5908f03d2dbd

commit 7b5b5bd16b586c269969862ada5a5908f03d2dbd
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-06-10 10:43:00 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-06-10 10:44:24 +0000

    net-analyzer/sngrep: Version 1.4.7
    
    - Add USE=logo
    - EAPI=7
    - RESTRICT=test
    - Fix setting LDFLAGS
    
    Package-Manager: Portage-2.3.100, Repoman-2.3.22
    Closes: https://bugs.gentoo.org/727790
    Closes: https://bugs.gentoo.org/709852
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/sngrep/Manifest                       |  1 +
 .../sngrep/files/sngrep-1.4.7-LDFLAGS.patch        | 11 ++++++
 net-analyzer/sngrep/metadata.xml                   |  1 +
 net-analyzer/sngrep/sngrep-1.4.7.ebuild            | 46 ++++++++++++++++++++++
 4 files changed, 59 insertions(+)
Comment 10 Larry the Git Cow gentoo-dev 2020-06-10 11:54:27 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ea02c91dce90ad12716507d32633bcb923cf774

commit 3ea02c91dce90ad12716507d32633bcb923cf774
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-06-10 11:50:02 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-06-10 11:54:24 +0000

    net-analyzer/sngrep: Backport tinfo patch
    
    - In case 1.4.7 has bugs that 1.4.6 does not, apply the fixed tinfo
      patch there as well.
    - The tinfo patch fixes the test suite problems as well, so drop
      RESTRICT=test again.
    
    Package-Manager: Portage-2.3.100, Repoman-2.3.22
    Bug: https://bugs.gentoo.org/709852
    Bug: https://bugs.gentoo.org/727790
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-analyzer/sngrep/files/sngrep-1.4.5-tinfo.patch          | 13 -------------
 .../{sngrep-1.4.6-r2.ebuild => sngrep-1.4.6-r3.ebuild}      |  2 +-
 net-analyzer/sngrep/sngrep-1.4.7.ebuild                     |  1 -
 3 files changed, 1 insertion(+), 15 deletions(-)